---
schema_version: "1"
id: 922e6205df877b207a3d83184096b41fca863736e28dc2af0cfc9e9524125157
title: Analytics Notification Limits
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/notifications/analytics-api-notifications-reference-notification-limits.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-notifications-reference-notification-limits.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f392c9119bef58c0cad096e6b175f7673af4be9b9f844f516ee7970d344e7468
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Analytics Notification Limits

Check to see how many more analytics notifications you can create.

## Syntax

**URI:** `/services/data/vXX.X/analytics/notifications/limits?source=source`

**Formats:** JSON

**HTTP methods**

|Method|Description|
|------|-----------|
|`GET`|Check how many analytic notifications you have, and the maximum number you can have.|

**Parameters**

|Parameter|Description|
|---------|-----------|
|`source`|Required for `GET` calls. Specifies what type of analytics notification to return. Valid values are:<ul><li>`lightningDashboardSubscribe` — dashboard subscriptions</li><li>`lightningReportSubscribe` — report subscriptions</li><li>`waveNotification` — Analytics notifications</li></ul>|
|`recordId`|Optional. Return notifications for a single record. Valid values are:<ul><li>`reportId`— Unique report ID</li><li>`lensId`— Unique Analytics lens ID</li></ul>|

## GET Response Body

|Property|Type|Description|
|--------|----|-----------|
|`max`|Integer|How many analytics notifications of the type specified by `source` the user is allowed to create.|
|`remaining`|Integer|How many more analytics notifications of the type specified by `source` the user can create before hitting the limit.|

